package com.heyu.api.data.service.impl.device;
/**
* <p>
* 闹钟记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceAlarmClockRecordDao;
import com.heyu.api.data.entity.device.DeviceAlarmClockRecordEntity;
import com.heyu.api.data.service.device.DeviceAlarmClockRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceAlarmClockRecordServiceImpl extends ServiceImpl<DeviceAlarmClockRecordDao, DeviceAlarmClockRecordEntity> implements DeviceAlarmClockRecordService {


    @Autowired
	private DeviceAlarmClockRecordDao deviceAlarmClockRecordDao;



	@Override
	public DeviceAlarmClockRecordEntity selectDeviceAlarmClockRecordById(Long id){
		return deviceAlarmClockRecordDao.selectDeviceAlarmClockRecordById(id);
	}



	@Override
	public Long insertDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord){
		return deviceAlarmClockRecordDao.insertDeviceAlarmClockRecord(deviceAlarmClockRecord);
	}



	@Override
	public Long insertOrUpdateDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord){
		return deviceAlarmClockRecordDao.insertOrUpdateDeviceAlarmClockRecord(deviceAlarmClockRecord);
	}



	@Override
	public int updateDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord){
		return deviceAlarmClockRecordDao.updateDeviceAlarmClockRecordById(deviceAlarmClockRecord);
	}



	@Override
	public int updateCoverDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord){
		return deviceAlarmClockRecordDao.updateCoverDeviceAlarmClockRecordById(deviceAlarmClockRecord);
	}



	@Override
	public int deleteDeviceAlarmClockRecordById(Long id){
		return deviceAlarmClockRecordDao.deleteDeviceAlarmClockRecordById(id);
	}



}
